Bug 131363 - [webkitpy] In case of multiple bug rollout, all bugs should be reopened, not only the oldest one
Summary: [webkitpy] In case of multiple bug rollout, all bugs should be reopened, not ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-08 09:30 PDT by Éva Balázsfalvi
Modified: 2014-05-16 07:36 PDT (History)
5 users (show)

See Also:


Attachments
Patch (7.32 KB, patch)
2014-04-08 09:32 PDT, Éva Balázsfalvi
no flags Details | Formatted Diff | Diff
Patch (15.04 KB, patch)
2014-05-16 06:49 PDT, Éva Balázsfalvi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Éva Balázsfalvi 2014-04-08 09:30:17 PDT
In case of multiple bug rollout, all bugs should be reopened, not only the oldest one
Comment 1 Éva Balázsfalvi 2014-04-08 09:32:42 PDT
Created attachment 228845 [details]
Patch
Comment 2 Alexey Proskuryakov 2014-04-08 09:59:36 PDT
What was the situation motivating this change?

I think that most of the time, additional bugs are follow-ups that are meaningless when the original patch gets rolled out.
Comment 3 Csaba Osztrogonác 2014-04-14 07:45:00 PDT
(In reply to comment #2)
> What was the situation motivating this change?
> 
> I think that most of the time, additional bugs are follow-ups that are meaningless when the original patch gets rolled out.

Most of the time "multi patch rollouts" reverts a revision with a bug 
report and several follow patches which don't have bug reports at all.

But rarely there is a changeset and later a follow-up fix or
not a fix, but something depends on it. If you rollout both of
these changes, the authors of the second bug doesn't get any
automatical notification now. It is very rare, but it can be
annoying.
Comment 4 Csaba Osztrogonác 2014-04-14 07:56:13 PDT
Comment on attachment 228845 [details]
Patch

The fix looks good to me more or less. 

But after checking it thoroughly, it solves only the case when you rollout patches with 
webkit-patch rollout, but it doesn't when you do it with webkit-patch create-rollout.
Sheriffbot uses the create-rollout too, so this code path should be fixed too.
Comment 5 Csaba Osztrogonác 2014-04-14 08:00:12 PDT
The bugs of rolled out patches can be blocked and reopened 
from createbug.py, but we need to make it handle more bug ids.
Comment 6 Éva Balázsfalvi 2014-05-16 06:49:02 PDT
Created attachment 231571 [details]
Patch
Comment 7 WebKit Commit Bot 2014-05-16 07:36:17 PDT
Comment on attachment 231571 [details]
Patch

Clearing flags on attachment: 231571

Committed r168968: <http://trac.webkit.org/changeset/168968>
Comment 8 WebKit Commit Bot 2014-05-16 07:36:20 PDT
All reviewed patches have been landed.  Closing bug.